# Post Ephemeral New Strategy Plan to Run a Forecast

Post a new strategy plan object to run forecast without saving the strategy plan

Endpoint: POST /new_strategy_plans/forecast
Version: 3.0.1807
Security: Auth0

## Request fields (application/json):

  - `advertiser_id` (integer)
    Example: 7

  - `campaign_plan_id` (integer)
    Example: 55

  - `channels` (array)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.campaign_start_date` (string)

  - `data.campaign_end_date` (string)

  - `data.campaign_zone_name` (string)

  - `meta` (object)

  - `meta.status` (string)
    Example: success

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

